<!DOCTYPE html>
<html xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout" xmlns:th="http://www.w3.org/1999/xhtml"
      layout:decorate="~{layouts/application.html}">

<section layout:fragment="content">
    <table class="table">
        <thead>
        <th>ID</th>
        <th>Имя</th>
        <th>Последняя проверка</th>
        <th>Код ответа</th>
        </thead>
        <tbody>
        <tr th:each="url : ${urls}" th:object="${url}">
            <td th:text="*{id}"></td>
            <td>
                <a th:text="*{name}" th:href="@{/urls/{id}(id=*{id})}"></a>
            <td th:if="${url.urlChecks.isEmpty}"></td>
            <td th:if="${url.urlChecks.isEmpty}"></td>
            <td th:unless="${url.urlChecks.isEmpty}" th:text="${#temporals.format(url.urlChecks.get(0).createdAt, 'dd/MM/yyyy HH:mm')}"></td>
            <td th:unless="${url.urlChecks.isEmpty}" th:text="*{urlChecks.get(0).statusCode}"></td>
            </td>
        </tr>
    </table>
</section>

</html>
